Debian Bug report logs - #483620
aptitude is searching for a non-existent file when running under a pt_BR locale

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: André Luís Lopes <andrelop@debian.org>

Date: Fri, 30 May 2008 00:15:02 UTC

Severity: normal

Found in versions aptitude/0.4.11-3, aptitude/0.4.11.3-1

Fixed in version aptitude/0.4.11.4-1

Done: Daniel Burrows <dburrows@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#483620; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to André Luís Lopes <andrelop@debian.org>:
New Bug report received and forwarded. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: André Luís Lopes <andrelop@debian.org>
To: submit@bugs.debian.org
Subject: aptitude is searching for a non-existent file when running under a pt_BR locale
Date: Thu, 29 May 2008 21:10:17 -0300
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Package: aptitude
Version: 0.4.11.3-1
Severity: normal

*** Please type your report below this line ***


Hello,

   aptitude is looking for a non-existent file when running under a
pt_BR (Brazilian Portuguese) locale :

foolish:~# export LC_ALL=pt_BR.UTF-8 ; aptitude update
E: Abrindo arquivo de configuração
/usr/share/aptitude/aptitude-defaults.pt_BR - ifstream::ifstream (2
Arquivo ou diretório não encontrado)
Atingido http://ftp.debian.org unstable Release.gpg
Ign http://ftp.debian.org unstable/main Translation-pt_BR
Ign http://ftp.debian.org unstable/contrib Translation-pt_BR
Ign http://ftp.debian.org unstable/non-free Translation-pt_BR
Atingido http://ftp.debian.org unstable Release
Atingido http://ftp.debian.org unstable/main Packages/DiffIndex
Atingido http://ftp.debian.org unstable/contrib Packages/DiffIndex
Atingido http://ftp.debian.org unstable/non-free Packages/DiffIndex
Lendo listas de pacotes... Pronto

foolish:~#

   The error messages are obviously beind displayed in Brazilian
Portuguese and could be translated to something like :

E: Opening configuration file
/usr/share/aptitude/aptitude-defaults.pt_BR - ifstream::ifstream (2 File
or directory not found)

   And, actually, this file really is not available on my
updated-as-from-some-minutes-ago Debian unstable system :

foolish:~# export LC_ALL=C ; ls /usr/share/aptitude/aptitude-defaults.pt_BR
ls: cannot access /usr/share/aptitude/aptitude-defaults.pt_BR: No such
file or directory
foolish:~#

- -- Package-specific info:
aptitude 0.4.11.3 compilado em May 27 2008 04:52:17
Compilador: g++ 4.2.4 (Debian 4.2.4-1)
Compilado contra:
 versão apt 4.6.0
  Versão NCurses: 5.6
  versão libsigc++: 2.0.18
  Suporte a ept habilitado.

Versões atuais das bibliotecas:
  Versão NCurses: ncurses 5.6.20080503
  versão cwidget: 0.5.11
  Versão apt: 4.6.0
	linux-gate.so.1 =>  (0xb7f94000)
	libapt-pkg-libc6.7-6.so.4.6 => /usr/lib/libapt-pkg-libc6.7-6.so.4.6
(0xb7eb6000)
	libncursesw.so.5 => /lib/libncursesw.so.5 (0xb7e7a000)
	libsigc-2.0.so.0 => /usr/lib/libsigc-2.0.so.0 (0xb7e73000)
	libcwidget.so.3 => /usr/lib/libcwidget.so.3 (0xb7d83000)
	libept.so.0 => /usr/lib/libept.so.0 (0xb7d0b000)
	libxapian.so.15 => /usr/lib/libxapian.so.15 (0xb7b98000)
	libz.so.1 => /usr/lib/libz.so.1 (0xb7b83000)
	libpthread.so.0 => /lib/i686/cmov/libpthread.so.0 (0xb7b6b000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb7a7d000)
	libm.so.6 => /lib/i686/cmov/libm.so.6 (0xb7a58000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb7a4b000)
	libc.so.6 => /lib/i686/cmov/libc.so.6 (0xb78fd000)
	libutil.so.1 => /lib/i686/cmov/libutil.so.1 (0xb78f9000)
	libdl.so.2 => /lib/i686/cmov/libdl.so.2 (0xb78f4000)
	/lib/ld-linux.so.2 (0xb7f95000)
Terminal: xterm
$DISPLAY is set.
`which aptitude`: /usr/bin/aptitude
aptitude version information:

aptitude linkage:

- -- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-2-686 (SMP w/2 CPU cores)
Locale: LANG=pt_BR.UTF-8, LC_CTYPE=pt_BR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages aptitude depends on:
ii  apt [libapt-pkg-libc6. 0.7.14            Advanced front-end for dpkg
ii  libc6                  2.7-11            GNU C Library: Shared libraries
ii  libcwidget3            0.5.11-1          high-level terminal
interface libr
ii  libept0                0.5.17            High-level library for
managing De
ii  libgcc1                1:4.3.0-5         GCC support library
ii  libncursesw5           5.6+20080503-1    Shared libraries for
terminal hand
ii  libsigc++-2.0-0c2a     2.0.18-2          type-safe Signal Framework
for C++
ii  libstdc++6             4.3.0-5           The GNU Standard C++ Library v3
ii  libxapian15            1.0.5-1           Search engine library
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

Versions of packages aptitude recommends:
pn  aptitude-doc-en | aptitude-do <none>     (no description available)
pn  libparse-debianchangelog-perl <none>     (no description available)

- -- no debconf information

- --
André Luís Lopes
andrelop@{andrelop,debian}.org
http://www.andrelop.org/blog/
Public GPG KeyID : 9D1B82F6
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFIP0XpW4/i9Z0bgvYRAq6jAJ4x+TtcVPC4gEtweevdH4j54G7z7gCeO0Mg
USnuxLzfyWGFUeu6p3wGFMo=
=r2q8
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#483620; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 483620@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: André Luís Lopes <andrelop@debian.org>, 483620@bugs.debian.org
Subject: Re: Bug#483620: aptitude is searching for a non-existent file when running under a pt_BR locale
Date: Thu, 29 May 2008 20:37:28 -0700
On Thu, May 29, 2008 at 09:10:17PM -0300, André Luís Lopes <andrelop@debian.org> was heard to say:
>    The error messages are obviously beind displayed in Brazilian
> Portuguese and could be translated to something like :
> 
> E: Opening configuration file
> /usr/share/aptitude/aptitude-defaults.pt_BR - ifstream::ifstream (2 File
> or directory not found)

  It looks like the problem is that aptitude decides which -defaults
files to install using the glob pattern "aptitude-defaults.??".  Adding a
second pattern "aptitude-defaults.??_??" should fix this.

  Daniel




Merged 472625 483620. Request was from "Renato S. Yamane" <yamane@diamondcut.com.br> to control@bugs.debian.org. (Sat, 07 Jun 2008 00:30:08 GMT) Full text and rfc822 format available.

Disconnected #483620 from all other report(s). Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Sat, 07 Jun 2008 01:48:02 GMT) Full text and rfc822 format available.

Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to André Luís Lopes <andrelop@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 483620-close@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 483620-close@bugs.debian.org
Subject: Bug#483620: fixed in aptitude 0.4.11.4-1
Date: Sun, 08 Jun 2008 01:32:04 +0000
Source: aptitude
Source-Version: 0.4.11.4-1

We believe that the bug you reported is fixed in the latest version of
aptitude, which is due to be installed in the Debian FTP archive:

aptitude-dbg_0.4.11.4-1_i386.deb
  to pool/main/a/aptitude/aptitude-dbg_0.4.11.4-1_i386.deb
aptitude-doc-cs_0.4.11.4-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-cs_0.4.11.4-1_all.deb
aptitude-doc-en_0.4.11.4-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-en_0.4.11.4-1_all.deb
aptitude-doc-fi_0.4.11.4-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fi_0.4.11.4-1_all.deb
aptitude-doc-fr_0.4.11.4-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fr_0.4.11.4-1_all.deb
aptitude-doc-ja_0.4.11.4-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-ja_0.4.11.4-1_all.deb
aptitude_0.4.11.4-1.diff.gz
  to pool/main/a/aptitude/aptitude_0.4.11.4-1.diff.gz
aptitude_0.4.11.4-1.dsc
  to pool/main/a/aptitude/aptitude_0.4.11.4-1.dsc
aptitude_0.4.11.4-1_i386.deb
  to pool/main/a/aptitude/aptitude_0.4.11.4-1_i386.deb
aptitude_0.4.11.4.orig.tar.gz
  to pool/main/a/aptitude/aptitude_0.4.11.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 483620@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Burrows <dburrows@debian.org> (supplier of updated aptitude package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 07 Jun 2008 17:05:21 -0700
Source: aptitude
Binary: aptitude aptitude-dbg aptitude-doc-cs aptitude-doc-en aptitude-doc-fi aptitude-doc-fr aptitude-doc-ja
Architecture: source all i386
Version: 0.4.11.4-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Burrows <dburrows@debian.org>
Changed-By: Daniel Burrows <dburrows@debian.org>
Description: 
 aptitude   - terminal-based package manager
 aptitude-dbg - Debug symbols for the aptitude package manager
 aptitude-doc-cs - Czech manual for aptitude, a terminal-based package manager
 aptitude-doc-en - English manual for aptitude, a terminal-based package manager
 aptitude-doc-fi - Finnish manual for aptitude, a terminal-based package manager
 aptitude-doc-fr - French manual for aptitude, a terminal-based package manager
 aptitude-doc-ja - Japanese manual for aptitude, a terminal-based package manager
Closes: 136874 473580 473829 483620 483920 483943
Changes: 
 aptitude (0.4.11.4-1) unstable; urgency=low
 .
   * New upstream release.
 .
     - Fixed a nasty resolver bug that would cause solutions to be chosen
       poorly in some cases involving self-conflicts. (Closes: #483920)
 .
     - "aptitude search" now takes a command-line argument
       "--disable-columns" that prevents aptitude from padding or
       truncating strings to line text up into columns.  This makes
       the output much more script-friendly.  (Closes: #136874)
 .
     - Fixed the formatting of literal elements in the manpage.
       (Closes: #473580)
 .
     - Defaults files for locales that contain an underscore (such as pt_BR
       or zh_CN) should get installed now. (Closes: #483620)
 .
     - Translation update for Russian. (Closes: #483943)
 .
   * aptitude-dbg recommends libcwidget3-dbg now, not libcwidget1-dbg.
     (Closes: #473829)
 .
   * Bring the Standards-Version up-to-date.  No other changes were needed;
     the only change to Policy lately that affects aptitude was the
     restructuring of the menu hierarchy, and aptitude is already
     up-to-date with that.
 .
   * Bring README.Debian up-to-date regarding the location of the upstream
     and Debian repositories.
Checksums-Sha1: 
 4ef9235ac164d7a7b0085128182359d3ad02b294 1382 aptitude_0.4.11.4-1.dsc
 4b1a407f1541882f8590787c425c3d7d7762ff7f 5713470 aptitude_0.4.11.4.orig.tar.gz
 91ba9e7d6537bc62bcaac9a097aff86b7c064fea 34871 aptitude_0.4.11.4-1.diff.gz
 0ccf6e47038433a9917e41169a343297d3bde4b7 345082 aptitude-doc-cs_0.4.11.4-1_all.deb
 b84976f5c03272cc0ec098efb8807a22626f5a7e 353208 aptitude-doc-en_0.4.11.4-1_all.deb
 bc8ebc7e890ba9a1ebea58c685f4344724ded5f4 263570 aptitude-doc-fi_0.4.11.4-1_all.deb
 20156c7604775bac3bfbd490cebeac517d32d8f7 297996 aptitude-doc-fr_0.4.11.4-1_all.deb
 af3b6c89446a7d82f78bc4634b04c4d9f27b4f1f 363622 aptitude-doc-ja_0.4.11.4-1_all.deb
 0e1ce88d03d224f76d0af5748661a92e7c19e265 2771074 aptitude_0.4.11.4-1_i386.deb
 6032927d0102adf46970e3c01defc7974a183c77 5905982 aptitude-dbg_0.4.11.4-1_i386.deb
Checksums-Sha256: 
 a54ed4c3424263338976beec1f4fb4506e889cf7d8a0e6e0159a1a590c57cc5f 1382 aptitude_0.4.11.4-1.dsc
 2a2cd488c2397e6b1fb02e035854addfbe0fec2253726d7f294d1ab2c08d4aeb 5713470 aptitude_0.4.11.4.orig.tar.gz
 6fbbecec0750ff4f3a764f0e0855b3c6dcf451c9e608694a6fa0d1c576dbeee3 34871 aptitude_0.4.11.4-1.diff.gz
 d483942e6488eec2746cf0f8780ab19e9f2dc70ab5644e12176f1a6a6ce221da 345082 aptitude-doc-cs_0.4.11.4-1_all.deb
 2910704fa5bb510316ec268d0aefaf84868d57c85b339669574f0633a6ff5e7a 353208 aptitude-doc-en_0.4.11.4-1_all.deb
 1ba5f4736f9d2345c50a36c43f9afc42ed9db4736a1d7062d29d9f0cff246167 263570 aptitude-doc-fi_0.4.11.4-1_all.deb
 264969bb307bbd77d6be1e8776ee606a4e459247ecccbbafb7f7844ab9c161bc 297996 aptitude-doc-fr_0.4.11.4-1_all.deb
 654b963ad6f6ed67cd73bbd04bbabfb182544c72e568368823f0d3d7eed12902 363622 aptitude-doc-ja_0.4.11.4-1_all.deb
 15534535b87a555cd2f6219408c76d4cabf86071719f3503a89e66ac40263486 2771074 aptitude_0.4.11.4-1_i386.deb
 a475875c6b93b9a180e5ef7229cd8e2423f9d5266fec8309cb5f8711b002cd99 5905982 aptitude-dbg_0.4.11.4-1_i386.deb
Files: 
 3e5f49cf581b06b0d1153b77405ae9af 1382 admin - aptitude_0.4.11.4-1.dsc
 85ed892ac7f8fa8784e873a1f691c322 5713470 admin - aptitude_0.4.11.4.orig.tar.gz
 69b22d0a110e430fd60c24114078c248 34871 admin - aptitude_0.4.11.4-1.diff.gz
 db45dcae83cbba11434a0a00d59a8cfe 345082 doc optional aptitude-doc-cs_0.4.11.4-1_all.deb
 8ad7bc4cd80d0a45826dc1c038cebe92 353208 doc optional aptitude-doc-en_0.4.11.4-1_all.deb
 13cceb5a5d2b883378bcc63c44110b91 263570 doc optional aptitude-doc-fi_0.4.11.4-1_all.deb
 c60ad2a243e00d8151249071b7873b63 297996 doc optional aptitude-doc-fr_0.4.11.4-1_all.deb
 55ce7fc800c89d1c5dacba741e56bff9 363622 doc optional aptitude-doc-ja_0.4.11.4-1_all.deb
 a3c693b9129c2276804642453f190257 2771074 admin important aptitude_0.4.11.4-1_i386.deb
 1892777129b6dc5b9c2e319581e71fbf 5905982 devel extra aptitude-dbg_0.4.11.4-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFISzQZch6xsM7kSXgRAoPwAJ4vMeFXxYO/BRXuiJ9AbH4H/4Sv9QCg2K8I
iVxebK6KRHSkWXiGBvlW/pA=
=fJEy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 17 Jul 2008 07:28:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:16:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.